Quantcast

What JOGL version should I use for 3Delighted.net?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

What JOGL version should I use for 3Delighted.net?

elisokal
This post was updated on .
Hi. I built 3Delighted.net using a JOGL version 1.1.1 that I downloaded from the Kenai project - https://kenai.com/projects/jogl/pages/Home

That project is closing for good on 4/18/17. The 1.1.1 I have is not so stable. Every few hours it dies in its native code abruptly terminating the JVM.

I tried to replace it with Jogamp but there a many code differences that make the two versions incompatible. Therefore I sidelined that migration effort until I can learn more? Questions I have include -

- Will Jogamp be more stable for my app?
- Why are there so many differences in these versions of GL.java?

THANKS FOR ANY HELP OR ADVICE!

kindly,

Eli Sokal
elisokal@gmail.com
www.elisokal.com
www.OnlineSoftworX.com
www.3Delighted.net
www.3Delighted.TV
www.Whebart.net

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: What JOGL version should I used for 3Delighted.net?

gouessej
Administrator
Hi

I can help you to port your code, most of the efforts consist in updating the package names, BufferUtils -> Buffers, using a GLProfile... The maintenance of JOGL 1 was abandoned in 2010 as far as I remember, there is no other solution than switching to JOGL 2. The latest version is JOGL 2.3.2, the next maintenance release is JOGL 2.3.3.

I advise you to read this article to understand the evolution of JOGL:
http://jogamp.org/jogl/doc/Overview-OpenGL-Evolution-And-JOGL.html

Using an obsolete version of JOGL in production is a very bad idea, migrating should be the next thing you should do, you will get no help on JOGL 1 whereas JOGL 2 is actively maintained.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: What JOGL version should I used for 3Delighted.net?

elisokal
Thank you for the offer to help port code. I backed off when I saw that a number of constants I was using were gone from the newer GL.java. Maybe visit 3Delighted.net and assess your interest in contributing?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: What JOGL version should I used for 3Delighted.net?

gouessej
Administrator
I already visited your website but where is the source code? I advise you to have a look at our wiki and our Java API documentation in order to find where those constants are.

You can look at this rudimentary example:
https://gist.github.com/gouessej/3420e2b6f632efdddf98

I read somewhere that you use(d) Windows Server. If you plan to switch to GNU Linux on your own server, maybe the detailed tutorial I'm currently writing concerning self hosting with an Olimex box under Debian Linux Jessie might be interesting for you.
Loading...